org.eclipse.viatra.cep.core.metamodels.derived.util

## Class InitialStateProcessor

- java.lang.Object
- - org.eclipse.viatra.cep.core.metamodels.derived.util.InitialStateProcessor

- All Implemented Interfaces:
    IMatchProcessor<InitialStateMatch>

      public abstract class InitialStateProcessor
      extends java.lang.Object
      implements IMatchProcessor<InitialStateMatch>

  A match processor tailored for the org.eclipse.viatra.cep.core.metamodels.derived.initialState pattern. Clients should derive an (anonymous) class that implements the abstract process().

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InitialStateProcessor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `process(Automaton pThis, InitState pInitState)` Defines the action that is to be executed on each match.
    `void` | `process(InitialStateMatch match)` Defines the action that is to be executed on each match.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InitialStateProcessor

          public InitialStateProcessor()

  - ### Method Detail

    - #### process

          public abstract void process(Automaton pThis,
                                       InitState pInitState)

      Defines the action that is to be executed on each match.
      Parameters:
        `pThis` - the value of pattern parameter this in the currently processed match
        `pInitState` - the value of pattern parameter initState in the currently processed match

    - #### process

          public void process(InitialStateMatch match)

      Description copied from interface: `IMatchProcessor`
      Defines the action that is to be executed on each match.
      Specified by:
        `process` in interface `IMatchProcessor<InitialStateMatch>`
      Parameters:
        `match` - a single match of the pattern that must be processed by the implementation of this method